#!/bin/bash


what=$1
case "$what" in
    flash)
        ;;
    image)
        #repair user rights on /www directory
        chmod g+r /www -R
        ;;
    manual)
        ;;
    retain)
        #. "$lib/lic-check.sh"
        ;;
    license)
        if [ -b $(readlink /run/unipi-plc/by-sys/nvmem) ]; then
            dev="$(readlink /run/unipi-plc/by-sys/nvmem)"
            devname=$(basename "$dev")
            if [ -r "/sys/block/$devname/ro_lock_until_next_power_on" ]; then
                echo 0 > "/sys/block/$devname/force_ro"
                mdir="$(mktemp -d)"
                if ! mount "$dev" "$mdir" 2>/dev/null; then
                    mkfs -t vfat "$dev"
                    if ! mount "$dev" "$mdir"; then
                        rmdir -r "$mdir"
                        exit 1
                    fi
                fi
                mkdir -p "$mdir/mervis"
                cp /var/lib/mervis/sharkrt.lic "$mdir/mervis/"
                umount "$mdir"
                sync
                echo 1 > "/sys/block/$devname/force_ro"
            fi
        fi
        [ -f /etc/default/unipitcp ] && . /etc/default/unipitcp
        LISTEN_PORT=${LISTEN_PORT:-502}
        /opt/unipi/tools/r2k -p ${LISTEN_PORT} -w < /var/lib/mervis/sharkrt.lic 2>/dev/null && echo "Saved to modbus" || true
        exit 0
        ;;
    *)
        ;;
esac
sync   # now do sync only
