function mask2net()
{
    case "$1" in
        0.0.0.0) echo 0  ;;
        128.0.0.0) echo 1  ;;
        192.0.0.0) echo 2  ;;
        224.0.0.0) echo 3  ;;
        240.0.0.0) echo 4  ;;
        248.0.0.0) echo 5  ;;
        252.0.0.0) echo 6  ;;
        254.0.0.0) echo 7  ;;
        255.0.0.0) echo 8  ;;
        255.128.0.0) echo 9  ;;
        255.192.0.0) echo 10 ;;
        255.224.0.0) echo 11 ;;
        255.240.0.0) echo 12 ;;
        255.248.0.0) echo 13 ;;
        255.252.0.0) echo 14 ;;
        255.254.0.0) echo 15 ;;
        255.255.0.0) echo 16 ;;
        255.255.128.0) echo 17 ;;
        255.255.192.0) echo 18  ;;
        255.255.224.0) echo 19  ;;
        255.255.240.0) echo 20  ;;
        255.255.248.0) echo 21  ;;
        255.255.252.0) echo 22  ;;
        255.255.254.0) echo 23  ;;
        255.255.255.0) echo 24  ;;
        255.255.255.128) echo 25  ;;
        255.255.255.192) echo 26  ;;
        255.255.255.224) echo 27  ;;
        255.255.255.240) echo 28  ;;
        255.255.255.248) echo 29  ;;
        255.255.255.252) echo 30  ;;
        255.255.255.254) echo 31  ;;
        255.255.255.255) echo 32  ;;
        *)
           re='^[0-9]+$'
           if [[ "$1" =~ $re ]]; then
               net=$(($1))
               if [[ $net -le 32 ]] && [[ $net -ge 0 ]]; then
                   echo $net
                   return 0
               fi
           fi
           return 1
           ;;
    esac
}

function cidr_to_net()
{
    ip="$1"
    mshift=$((32-$2))
    #mask=$((((0xffffffff>>(32-$2))<<(32-$2))))
    IFS="." read i1 i2 i3 i4 <<< "$ip"
    net=$((((i1<<24|i2<<16|i3<<8|i4)>>mshift)<<mshift))
    #ipa=$(((i1<<24|i2<<16|i3<<8|i4)&&mask))
    printf "%x" "$net"
}
