#!/bin/sh

[ -d /var/lib/mervis/certstore ] || mkdir -p /var/lib/mervis/certstore
cd /var/lib/mervis/certstore

if [ "$1" = "--force" ]; then
    rm -f /var/lib/mervis/certstore/web*
elif [ -f web_key -a -f web ]; then
    exit 0
fi
echo "Generate SSL self-signed certificate for Nginx in /var/lib/mervis/nginx"
openssl req -x509 -nodes -days 3650 -newkey rsa:2048 -subj "/C=eu/CN=mervis" -keyout web_key -out web
